import os
import matplotlib as mpl
mpl.use('Agg')
mpl.interactive(False)
import matplotlib.pyplot as plt

import atmopy.display


m = atmopy.display.getm("disp.cfg")
d = atmopy.display.getd("disp.cfg")

outdir="figure"

if not os.path.exists(outdir):
    os.makedirs(outdir)

# range(240) creates a list of 240 integers, from 0 to 239.
for i in range(240):
    atmopy.display.dispcf(m, d[i, 0])
    if i < 10:
        i_str = "00" + str(i)
    elif i < 100:
        i_str = "0" + str(i)
    else:
        i_str = str(i)
    name = outdir + "/chernobyl-" + i_str
    plt.savefig(name)
